Skip to main content
GET
/
lucca-api
/
departments
/
{id}
Retrieve a department
curl --request GET \
  --url https://{host}/lucca-api/departments/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "32",
  "type": "department",
  "url": "https://example.ilucca.net/lucca-api/departments/32",
  "name": "Finances",
  "description": null,
  "remoteId": "FIN",
  "isArchived": false,
  "parent": null,
  "level": 1,
  "manager": {
    "id": "416",
    "type": "employee",
    "url": "https://example.ilucca.net/lucca-api/employees/416"
  },
  "sortOrder": 2,
  "owningApplication": null,
  "links": {
    "activeEmployees": {
      "href": "https://example.ilucca.net/lucca-api/employees?applicableJobPosition.department.id=32"
    }
  },
  "embedded": {}
}
Scopes: 
    • departments.readonly
    • departments.readwrite
Business-establishments: Any.

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the department to retrieve.

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A department resource.

id
string
Minimum string length: 1
type
string
Allowed value: "department"
url
string<uri>
remoteId
null | string

Identifier of this object in a third-party software.

Maximum string length: 255
isArchived
boolean

If this department is archived. Only possible if there are no more employees attached.

name
string
Required string length: 1 - 255
description
null | string
parent
department-reference · object

Reference to the department this department is a child of.

level
integer<int32>

Read-only. Depth level of this department in the department tree. At level "1", the department has no parent.

Required range: x >= 1
manager
employee-reference · object

Reference to the employee that acts as the Head of this department.

sortOrder
integer<int32>

Index (0-based) of the department among its siblings.

Required range: x >= 0
owningApplication
null | string

Can only be set by an authenticated Lucca application. When not null, indicates that this department is read-only, given that it is managed by another application (designated by its ID) that is charged with its synchronization. Any write request attempt made from anyone other than the application will be rejected with a 403 Forbidden error.

Minimum string length: 1
embedded
object

No embedded resources on a department(s) response. Expect an empty object if embedded are requested.